DJI SDK Error on Startup

Experienced this error today upon opening the app.
“Error registering DJI SDK. DJI requires all 3rd party apps to validate on their first launch.”

I am using a DJI Phantom 4Pro V2 and latest iPad - all software and hardware is up to date.

I flew with DD multiple times this week prior, no changes to anything (firmware etc). UAV has the remote ID firmware installed.

DD won’t let me take off at all with this error. I ended up flying MPP no problem.

I have the free version of DD…

The only other thread I could find about this was from 2016 and they resolved by restarting everything (I had no such luck).

Any advice or anyone else experience this error recently?

1 Like